%global oname mustache.java
Name:          mustache-java
Version:       0.9.4
Release:       2%{?dist}
Summary:       Implementation of mustache.js for Java
License:       ASL 2.0
URL:           https://github.com/spullara/mustache.java/
Source0:       https://github.com/spullara/mustache.java/archive/%{oname}-%{version}.tar.gz

# This patch is sent upstream: https://github.com/spullara/mustache.java/pull/183
Patch0: jackson-standardisation.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:  mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-yaml)
BuildRequires:  mvn(com.github.spullara.cli-parser:cli-parser)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:  mvn(org.eclipse.jetty:jetty-server)
BuildRequires:  mvn(org.openjdk.jmh:jmh-core)
BuildRequires:  mvn(org.openjdk.jmh:jmh-generator-annprocess)

BuildArch:     noarch

%description
Implementation of the Mustache language in Java.
Mustache.java is a derivative of mustache.js.

%package benchmarks
Summary:       Benchmarks for Mustache.java

%description benchmarks
A development module for performance benchmarks of
Mustache.java classes.

%package maven-plugin
Summary:       Mustache Maven Mojo

%description maven-plugin
A maven plugin to process mustache templates in a maven build.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{oname}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

%patch0 -p1

%pom_disable_module scala-extensions

%pom_remove_plugin :maven-assembly-plugin handlebar
%pom_remove_plugin :maven-assembly-plugin compiler
%pom_remove_plugin :maven-shade-plugin benchmarks
%pom_remove_plugin :maven-source-plugin benchmarks

# Fix manifest entries
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin handlebar "
<configuration>
  <archive>
    <manifest>
      <addClasspath>false</addClasspath>
      <mainClass>com.sampullara.mustache.Handlebar</mainClass>
    </manifest>
  </archive>
</configuration>"

# Fix build with current maven-jar-plugin
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
<execution>
  <id>default-jar</id>
  <phase>skip</phase>
</execution>" compiler

%mvn_package com.github.spullara.mustache.java:mustache-maven-plugin maven-plugin
%mvn_package com.github.spullara.mustache.java:benchmarks benchmarks
%mvn_package com.github.spullara.mustache.java:compiler::tests:

%build

# Test fails @ randon on ARM builder
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files benchmarks -f .mfiles-benchmarks
%license LICENSE

%files maven-plugin -f .mfiles-maven-plugin
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 06 2016 Mat Booth <mat.booth@redhat.com> - 0.9.4-1
- Update to latest upstream release
- Add patch to port all modules to jackson 2
- Re-generate BRs

* Fri Jun 03 2016 Michael Simacek <msimacek@redhat.com> - 0.9.1-3
- Fix build with current maven-jar-plugin

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 23 2015 gil cattaneo <puntogil@libero.it> 0.9.1-1
- update to 0.9.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 23 2015 gil cattaneo <puntogil@libero.it> 0.9.0-1
- update to 0.9.0

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 0.8.16-2
- introduce license macro

* Thu Sep 04 2014 gil cattaneo <puntogil@libero.it> 0.8.16-1
- update to 0.8.16

* Sun Nov 03 2013 gil cattaneo <puntogil@libero.it> 0.8.12.1-1
- initial rpm
